=== debian/control ===
Source: golang-github-hodgesds-perf-utils
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Benjamin Drung <benjamin.drung@ionos.com>
Section: golang
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-stretchr-testify-dev (>= 1.3),
               golang-go.uber-multierr-dev (>= 1),
               golang-golang-x-sys-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-hodgesds-perf-utils
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-hodgesds-perf-utils.git
Homepage: https://github.com/hodgesds/perf-utils
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/hodgesds/perf-utils

Package: golang-github-hodgesds-perf-utils-dev
Architecture: all
Depends: dh-golang,
         golang-github-stretchr-testify-dev (>= 1.3),
         golang-go.uber-multierr-dev (>= 1),
         golang-golang-x-sys-dev,
         ${misc:Depends}
Description: Perf Utilities for Go (library)
 This package is a Go library for interacting with the perf subsystem in Linux.
 This library allows you to do things like see how many CPU instructions a
 function takes (roughly), profile a process for various hardware events, and
 other interesting things. Note that because the Go scheduler can schedule a
 goroutine across many OS threads it becomes rather difficult to get an exact
 profile of an individual goroutine. However, a few tricks can be used; first a
 call to runtime.LockOSThread (https://golang.org/pkg/runtime/#LockOSThread) to
 lock the current goroutine to an OS thread. Second a call to
 unix.SchedSetaffinity
 (https://godoc.org/golang.org/x/sys/unix#SchedSetaffinity), with a CPU set
 mask set. Note that if the pid argument is set 0 the calling thread is used
 (the thread that was just locked). Before using this library you should
 probably read the perf_event_open man page which this library uses heavily.
 See the kernel guide https://perf.wiki.kernel.org/index.php/Tutorial for a
 tutorial how to use perf and some of the limitations.
 .
 If you are looking to interact with the perf subsystem directly with
 perf_event_open syscall than this library is most likely for you. A large
 number of the utility methods in this package should only be used for testing
 and/or debugging performance issues. This is due to the nature of the Go
 runtime being extremely tricky to profile on the goroutine level, with the
 exception of a long running worker goroutine locked to an OS thread.
 Eventually this library could be used to implement many of the features of
 perf but in pure Go. Currently this library is used in node_exporter
 (https://github.com/prometheus/node_exporter) as well as perf_exporter
 (https://github.com/hodgesds/perf_exporter), which is a Prometheus exporter
 for perf related metrics.
