## golang-github-hodgesds-perf-utils 0.5.1

=== debian/changelog ===
golang-github-hodgesds-perf-utils (0.5.1-2) unstable; urgency=medium

  * Update my email address to @debian.org
  * Mark -dev package as Multi-Arch: foreign

 -- Benjamin Drung <bdrung@debian.org>  Thu, 17 Feb 2022 12:37:23 +0100

golang-github-hodgesds-perf-utils (0.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Benjamin Drung <benjamin.drung@ionos.com>  Thu, 18 Nov 2021 11:26:45 +0100
