=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: golang-github-hodgesds-perf-utils
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Benjamin Drung <benjamin.drung@ionos.com>
+Uploaders: Benjamin Drung <bdrung@debian.org>
 Section: golang
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -18,6 +18,7 @@
 
 Package: golang-github-hodgesds-perf-utils-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: dh-golang,
          golang-github-stretchr-testify-dev (>= 1.3),
          golang-go.uber-multierr-dev (>= 1),
