=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

# Skip tests (they fail with permission denied)
override_dh_auto_test:
